RASVIEW(1NCARG)

NAME
rasview - Raster file previewer for the X Window System.

SYNOPSIS
rasview [ -toolkitoption ... ] [ -ifmt format ] [ -movie ] [ -pal palette_file ] [ -quiet ] [ -Version ] [ file.ext | - ]

DESCRIPTION

rasview displays raster imagery from a file into an X window. By default rasview determines the format of an image file by looking at its file name extension. For example, an xwd (X11 Window Dump) file might be named foo.xwd.

Raster image file formats come in a variety of flavors. rasview attempts to support 8-bit-indexed, and 24-bit-direct encodings of the image formats listed below. Similarly, only output devices with 8-bit or 24-bit depth are supported. rasview attempts to select an X11 Visual which best matches the encoding of the image file. A PseudoColor visual class is preferred for 8-bit-indexed imagery, while a DirectColor visual class is preferred for 24-bit-direct encoded imagery. In the case of 24-bit-direct encodings, if the output device only has 8-bit color the imagery is color-quantized down to 8 bits.

In general raster files contain only a single image. rasview is able to display multiple-image raster files if they were created by the concatenation of single-image files with the rascat(1NCARG) utility or if they were generated by ctrans(1NCARG). Multi-frame image files generated by other means are not guaranteed to be displayable by rasview.

See ras_formats(5NCARG) for a list of supported image formats.

OPTIONS
rasview accepts all of the standard X Toolkit command line options (see X11(7)). rasview also accepts the following options:

-ifmt format
    Specify the input file format. format is one of the aforementioned file name extensions (without the ".", e.g. xwd). When this option is specified file name extensions are not necessary and are ignored if present. All input files must have the same format.

-movie
    Normally when processing multi-image raster files, rasview waits for a mouse click before proceeding to the next frame. When this option is used rasview immediately advances the frame after rasview has completed drawing it.

-pal palette_file
    Use the color palette contained in the file palette_file. for displaying images. This palette will override the color palette stored with the image.

    See ras_palette(5NCARG) for a description of palette file forats.

-quiet
    Operate in quiet mode.

-Version
    Print the version number and then exit.

-   Read rasterfile from standard input (-ifmt option required).

SEE ALSO
ctrans(1NCARG), rascat(1NCARG), ras_formats(5NCARG), ras_palette(5NCARG), xwd(1), xwud(1) X11(7)

Hardcopy: NCAR Graphics Fundamentals, UNIX Version

BUGS/CAVEATS
rasview does not respond to redraw events.

COPYRIGHT
Copyright (C) 1987-2009
University Corporation for Atmospheric Research

The use of this Software is governed by a License Agreement.